/*
 * File:   config.h
 *
 * Configuration setup for the PIC32MX250F128B
 *
 * Cheng Xing, Rene Zhang
 * cx34, rz99
 * December 2015
 */

#ifndef __CONFIG_H__
#define	__CONFIG_H__
#define _SUPPRESS_PLIB_WARNING 1
#include <plib.h>
#include <stdio.h>

//==============================================================================
// 80 MHz
#pragma config FNOSC = FRCPLL, POSCMOD = OFF
#pragma config FPLLIDIV = DIV_1, FPLLMUL = MUL_20 // 80 MHz
#pragma config FPBDIV = DIV_1, FPLLODIV = DIV_2 // PB 80 MHz
#pragma config FWDTEN = OFF, JTAGEN = OFF, FSOSCEN = OFF, DEBUG = OFF

//==============================================================================
// set up clock parameters
// system cpu clock
#define sys_clock 80000000

// sys_clock/FPBDIV
#define pb_clock sys_clock // divide by one in this case

//==============================================================================
// Pull Up and Pull Down resistor macros
// PORT B
#define EnablePullDownB(bits) CNPUBCLR=bits; CNPDBSET=bits;
#define DisablePullDownB(bits) CNPDBCLR=bits;
#define EnablePullUpB(bits) CNPDBCLR=bits; CNPUBSET=bits;
#define DisablePullUpB(bits) CNPUBCLR=bits;
//PORT A
#define EnablePullDownA(bits) CNPUACLR=bits; CNPDASET=bits;
#define DisablePullDownA(bits) CNPDACLR=bits;
#define EnablePullUpA(bits) CNPDACLR=bits; CNPUASET=bits;
#define DisablePullUpA(bits) CNPUACLR=bits;

#endif	/* __CONFIG_H__ */
